# std::__is_location_invariant< _Tp > Struct Template Reference

Inheritance diagram for std::__is_location_invariant< _Tp >:

## Detailed Description

### template<typename _Tp>
struct std::__is_location_invariant< _Tp >

Trait identifying "location-invariant" types, meaning that the address of the object (or any of its members) will not escape. Also implies a trivial copy constructor and assignment operator.

Definition at line 1386 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional